#!/bin/sh
# iptables_helper should't commit changes
# during install (there is no required modules
# loaded in the installer).
# Changes will be commited at firsttime
# when commit mode will be enabled,

a= . install2-init-functions

exec_chroot /usr/bin/iptables_helper -4 write -c off
cat >"$destdir"/etc/firsttime.d/net-iptables-on <<EOF
#!/bin/sh
# Enable commit mode for iptables_helper

WITHOUT_RC_COMPAT=1
# Source functions library.
. /etc/init.d/functions

action "Committing iptables settings:" /usr/bin/iptables_helper -4 write -c on
EOF
chmod +x "$destdir"/etc/firsttime.d/net-iptables-on
