#!/bin/sh


echo -n "Пожалуйста, введите пароль администратора: "
read -s adminPass
echo -e '\n'

echo -n "За какой интервал времени удалить данные в днях: "
read days


mysqldump -u root -p"$adminPass" snort event data iphdr icmphdr tcphdr udphdr opt acid_event | gzip > /var/db/`date +"%F-%T"`.sql.gz

mysql -h localhost -uroot -p"$adminPass" << EOF
use snort;
DELETE FROM event WHERE timestamp < DATE_SUB(NOW(),INTERVAL $days DAY);
DELETE FROM data    USING data    LEFT OUTER JOIN event USING (sid,cid) WHERE event.sid IS NULL;
DELETE FROM iphdr   USING iphdr   LEFT OUTER JOIN event USING (sid,cid) WHERE event.sid IS NULL;
DELETE FROM icmphdr USING icmphdr LEFT OUTER JOIN event USING (sid,cid) WHERE event.sid IS NULL;
DELETE FROM tcphdr  USING tcphdr  LEFT OUTER JOIN event USING (sid,cid) WHERE event.sid IS NULL;
DELETE FROM udphdr  USING udphdr  LEFT OUTER JOIN event USING (sid,cid) WHERE event.sid IS NULL;
DELETE FROM opt     USING opt     LEFT OUTER JOIN event USING (sid,cid) WHERE event.sid IS NULL;
DELETE FROM acid_event USING acid_event LEFT OUTER JOIN event USING (sid,cid) WHERE event.sid IS NULL;
EOF
