#!/bin/sh
# Enable webapps for nginx

a= . install2-init-functions

# Enable BASE
if [ -f $destdir/etc/nginx/webapps-available.d/BASE.conf ]; then
	ln -s ../webapps-available.d/BASE.conf $destdir/etc/nginx/webapps-ssl-enabled.d/BASE.conf
fi

# Enable indexhtml for HTTPS server
if [ -f $destdir/etc/nginx/webapps-available.d/indexhtml.conf ]; then
	ln -s ../webapps-available.d/indexhtml.conf $destdir/etc/nginx/webapps-ssl-enabled.d/indexhtml.conf
fi

# Enable HTTPS server itself
ln -s ../sites-available.d/webapps-ssl.conf $destdir/etc/nginx/sites-enabled.d/webapps-ssl.conf
